diff -ur btrfs-progs-4.5.2/debian/copyright btrfs-progs-4.5.2.changed/debian/copyright
--- btrfs-progs-4.5.2/debian/copyright	2016-05-10 04:59:26.000000000 -0400
+++ btrfs-progs-4.5.2.changed/debian/copyright	2016-05-20 16:52:00.116975237 -0400
@@ -3,26 +3,186 @@
 Source: http://git.kernel.org/?p=linux/kernel/git/mason/btrfs-progs.git
 
 Files: *
-Copyright: 2007-2012 Oracle <http://www.oracle.com/>
+Copyright: 2007-2010, 2012, Oracle <http://www.oracle.com/>
+License: GPL-2
+
+Files: autogen.sh
+Copyright: 2006-2014, Karel Zak <kzak@redhat.com>
+License: GPL-2
+
+Files: backref.c
+  backref.h
+  btrfs-crc.c
+  cmds-qgroup.c
+  cmds-quota.c
+  cmds-replace.c
+  cmds-scrub.c
+  qgroup.c
+  qgroup.h
+Copyright: 2011-2013, STRATO <http://www.strato.com/>
+License: GPL-2
+
+Files: btrfs-calc-size.c
+  btrfs-find-root.c
+  cmds-inspect-tree-stats.c
+  cmds-inspect-tree-stats.h
+  cmds-restore.c
+  crc32c.h
+  free-space-cache.c
+Copyright: 2007, 2008, 2011, Red Hat <http://www.redhat.com/>
+License: GPL-2
+
+Files: btrfs-debugfs
+Copyright: 2014, Facebook <http://www.facebook.com/>
+License: LGPL-2
+
+Files: btrfs-list.h
+  btrfsck.h
+  chunk-recover.c
+  super-recover.c
+Copyright: 2012, 2013, FUJITSU LIMITED <http://www.fujitsu.com/>
+  2013, Miao Xie <miaox@cn.fujitsu.com>
+License: GPL-2
+
+Files: btrfs-show-super.c
+  cmds-inspect-dump-super.h
+Copyright: 2012, STRATO AG <http://www.strato.com/>
+License: GPL-2
+
+Files: cmds-receive.c
+  cmds-send.c
+  send-stream.c
+  send-stream.h
+  send-utils.c
+  send-utils.h
+Copyright: 2012, Alexander Block.
+License: GPL-2
+
+Files: cmds-rescue.c
+  library-test.c
+  qgroup-verify.c
+  qgroup-verify.h
+Copyright: 2013, 2014, SUSE <http://www.suse.com/>
+License: GPL-2
+
+Files: config/config.guess
+  config/config.sub
+Copyright: 1992-2013, Free Software Foundation, Inc. <http://www.fsf.org/>
+License: GPL-3
+
+Files: configure
+Copyright: 1989, 1991-1996, 1998-2012, Free Software Foundation, Inc
+License: permissive-without-notices-or-disclaimer
+ This configure script is free software; the Free Software Foundation
+ gives unlimited permission to copy, distribute and modify it.
+
+Files: crc32c.c
+Copyright: 2004, Cisco Systems, Inc
 License: GPL-2+
 
-Files: radix-tree.c
-Copyright: 2007-2009 Oracle <http://www.oracle.com/>
-           2001 Momchil Velikov
-           2001 Christoph Hellwig
-           2005 SGI, Christoph Lameter <clameter@sgi.com>
+Files: debian/*
+Copyright: 2007-2012, Daniel Baumann <daniel.baumann@progress-technologies.net>
+License: GPL-2+
+
+Files: debian/local/btrfs-convert.*
+Copyright: 2016, Nicholas D Steeves <nsteeves@gmail.com>
+License: GPL-2
+
+Files: file.c
+  find-root.c
+  find-root.h
+  inode.c
+Copyright: 2014, 2015, Fujitsu <http://www.fujitsu.com/>
+License: GPL-2
+
+Files: free-space-tree.c
+  free-space-tree.h
+  rbtree-utils.c
+  rbtree-utils.h
+Copyright: 2014, 2015, Facebook.
+License: GPL-2
+
+Files: interval_tree_generic.h
+Copyright: 2012, Michel Lespinasse <walken@google.com>
 License: GPL-2+
 
+Files: radix-tree.c
+Copyright: 2007, Oracle <http://www.oracle.com/>
+  2001, Momchil Velikov
+  2001, Christoph Hellwig
+  2005, SGI, Christoph Lameter <clameter@sgi.com>
+License: GPL-2
+
 Files: radix-tree.h
-Copyright: 2007-2009 Oracle <http://www.oracle.com/>
-           2001 Momchil Velikov
-           2001 Christoph Hellwig
+Copyright: 2007, Oracle. <http://www.oracle.com/>
+  2001, Momchil Velikov
+  2001, Christoph Hellwig
+License: GPL-2
+
+Files: raid6.c
+Copyright: 2002-2004, H. Peter Anvin
 License: GPL-2+
 
-Files: debian/*
-Copyright: 2007-2012 Daniel Baumann <daniel.baumann@progress-technologies.net>
+Files: rbtree.c
+  rbtree_augmented.h
+Copyright: 2012, Michel Lespinasse <walken@google.com>
+  2002, David Woodhouse <dwmw2@infradead.org>
+  1999, Andrea Arcangeli <andrea@suse.de>
+License: GPL-2+
+
+Files: rbtree.h
+Copyright: 1999, Andrea Arcangeli <andrea@suse.de>
 License: GPL-2+
 
+Files: send-test.c
+Copyright: 2013, SUSE <http://www.suse.com/>
+  2012, Alexander Block.
+License: GPL-2
+
+Files: send.h
+Copyright: 2012, STRATO <http://www.strato.com/>
+  2012, Alexander Block.
+License: GPL-2
+
+Files: ulist.c
+  ulist.h
+Copyright: 2011, STRATO <http://www.strato.com/>
+License: GPL-2
+
+Files: utils.c
+Copyright: 2008, Morey Roof.
+  2007, Oracle <http://www.oracle.com/>
+License: GPL-2
+
+Files: uuid-tree.c
+Copyright: 2013, STRATO AG <http://www.strato.com/>
+License: GPL-2
+
+Files: version.sh
+Copyright: 2008, Oracle <http://www.oracle.com/>
+  2008, Aron Griffis <agriffis@n01se.net>
+License: GPL-2
+
+License: GPL-2
+ This program is free software; you can redistribute it
+ and/or modify it under the terms of the GNU General Public
+ License as published by the Free Software Foundation.
+ .
+ This program is distributed in the hope that it will be
+ useful, but WITHOUT ANY WARRANTY; without even the implied
+ warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more
+ details.
+ .
+ You should have received a copy of the GNU General Public
+ License along with this package; if not, write to the Free
+ Software Foundation, Inc., 51 Franklin St, Fifth Floor,
+ Boston, MA  02110-1301 USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ '/usr/share/common-licenses/GPL-2'.
+
 License: GPL-2+
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
@@ -39,3 +199,38 @@
  .
  The complete text of the GNU General Public License
  can be found in /usr/share/common-licenses/GPL-2 file.
+
+License: LGPL-2
+ This library is free software; you can redistribute it and/or
+ modify it under the terms of the GNU Library General Public
+ License as published by the Free Software Foundation; either
+ version 2 of the License, or (at your option) any later version.
+ .
+ This library is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ Library General Public License for more details.
+ .
+ You should have received a copy of the GNU Library General Public
+ License along with this library; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+ 02110-1301  USA
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ '/usr/share/common-licenses/LGPL-2'.
+
+License: GPL-3
+ This program is free software: you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation, either version 3 of the License, or
+ (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ On Debian systems, the full text of the GNU General Public
+ License version 3 can be found in the file
+ '/usr/share/common-licenses/GPL-3'.
